summaryrefslogtreecommitdiff
path: root/tests/misc/printf
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/printf')
-rwxr-xr-xtests/misc/printf24
1 files changed, 5 insertions, 19 deletions
diff --git a/tests/misc/printf b/tests/misc/printf
index 6fea4b0bc..5637d25f2 100755
--- a/tests/misc/printf
+++ b/tests/misc/printf
@@ -1,7 +1,7 @@
#!/bin/sh
# basic tests for printf
-# Copyright (C) 2002, 2003, 2004, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2002-2004, 2006-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -16,26 +16,14 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-prog=`pwd`/../../src/printf
+prog="$abs_top_builddir/src/printf"
if test "$VERBOSE" = yes; then
set -x
"$prog" --version
fi
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+. $srcdir/../test-lib.sh
fail=0
@@ -46,8 +34,7 @@ cat <<\EOF > exp
foo
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
rm -f out exp
# Until coreutils-4.5.10, this would elicit a segfault.
@@ -106,7 +93,6 @@ cat <<\EOF > exp
11 x
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff -au out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail